public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/
@ 2023-08-30  5:36 Viorel Munteanu
  0 siblings, 0 replies; 9+ messages in thread
From: Viorel Munteanu @ 2023-08-30  5:36 UTC (permalink / raw
  To: gentoo-commits

commit:     b6d69cb7b14825c44a3e00b5ff4505656e520f55
Author:     Gonçalo Duarte <gonegrier.duarte <AT> gmail <DOT> com>
AuthorDate: Tue Aug 29 14:29:58 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Tue Aug 29 14:35:28 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b6d69cb7

media-sound/yewtube: new package, add 2.10.4, 9999

Signed-off-by: Gonçalo Duarte <gonegrier.duarte <AT> gmail.com>

 media-sound/yewtube/Manifest              |  1 +
 media-sound/yewtube/metadata.xml          | 12 ++++++++++
 media-sound/yewtube/yewtube-2.10.4.ebuild | 38 +++++++++++++++++++++++++++++++
 media-sound/yewtube/yewtube-9999.ebuild   | 38 +++++++++++++++++++++++++++++++
 4 files changed, 89 insertions(+)

diff --git a/media-sound/yewtube/Manifest b/media-sound/yewtube/Manifest
new file mode 100644
index 0000000000..f28fea4267
--- /dev/null
+++ b/media-sound/yewtube/Manifest
@@ -0,0 +1 @@
+DIST v2.10.4.tar.gz 120377 BLAKE2B 5689de2d5e386aa13689c68c7be2a86fc61561070e432638e0f5076f31163b5d0ce746489a4d1be3d50c72de370a462e25abb8914b565e5c8d749d817cde4163 SHA512 9d6a40a63c4c4502280544832507d6ca4fd70acd901b6e0b42e619c154f26f6c5aca4279890572fe41a02d5ba7255278ad6574f987f0743412236c4a3ec28b1f

diff --git a/media-sound/yewtube/metadata.xml b/media-sound/yewtube/metadata.xml
new file mode 100644
index 0000000000..700b8188da
--- /dev/null
+++ b/media-sound/yewtube/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>gonegrier.duarte@gmail.com</email>
+		<name>Gonçalo Negrier Duarte</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">mps-youtube</remote-id>
+		<remote-id type="github">mps-youtube/mps-youtube</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/media-sound/yewtube/yewtube-2.10.4.ebuild b/media-sound/yewtube/yewtube-2.10.4.ebuild
new file mode 100644
index 0000000000..e32f91cbd6
--- /dev/null
+++ b/media-sound/yewtube/yewtube-2.10.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{9..12} )
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]] ; then
+	EGIT_REPO_URI="https://github.com/mps-youtube/yewtube.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/mps-youtube/${PN}/archive/refs/tags/v${PV}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Terminal-based YouTube player and downloader"
+HOMEPAGE="https://github.com/mps-youtube/yewtube https://pypi.org/project/yewtube/"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}
+ 	media-video/ffmpeg
+	dev-python/requests
+	dev-python/pyperclip
+	=net-misc/yt-dlp-2023.07.06
+	=dev-python/youtube-search-python-1.6.6
+	dev-python/pylast
+	|| ( media-video/mplayer media-video/mpv )"
+
+src_compile() {
+	distutils-r1_src_compile --build-dir "${WORKDIR}/${P}"
+}
+
+src_install() {
+	distutils-r1_src_install --build-dir "${WORKDIR}/${P}"
+}

diff --git a/media-sound/yewtube/yewtube-9999.ebuild b/media-sound/yewtube/yewtube-9999.ebuild
new file mode 100644
index 0000000000..e47d14389d
--- /dev/null
+++ b/media-sound/yewtube/yewtube-9999.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{9..12} )
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]] ; then
+	EGIT_REPO_URI="https://github.com/mps-youtube/yewtube.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/mps-youtube/${PN}/archive/refs/tags/v${PV}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Terminal-based YouTube player and downloader"
+HOMEPAGE="https://github.com/mps-youtube/yewtube https://pypi.org/project/yewtube/"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}
+ 	media-video/ffmpeg
+	dev-python/requests
+	dev-python/pyperclip
+	net-misc/yt-dlp
+	dev-python/youtube-search-python
+	dev-python/pylast
+	|| ( media-video/mplayer media-video/mpv )"
+
+src_compile() {
+	distutils-r1_src_compile --build-dir "${WORKDIR}/${P}"
+}
+
+src_install() {
+	distutils-r1_src_install --build-dir "${WORKDIR}/${P}"
+}
\ No newline at end of file


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/
@ 2023-08-30  5:36 Viorel Munteanu
  0 siblings, 0 replies; 9+ messages in thread
From: Viorel Munteanu @ 2023-08-30  5:36 UTC (permalink / raw
  To: gentoo-commits

commit:     5f8fa53d13faf6014582d7bc0c70bb3344d2408d
Author:     Gonçalo Duarte <gonegrier.duarte <AT> gmail <DOT> com>
AuthorDate: Tue Aug 29 14:53:24 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Tue Aug 29 14:53:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5f8fa53d

media-sound/yewtube: add dev-python/pip as RDEPEND

Signed-off-by: Gonçalo Duarte <gonegrier.duarte <AT> gmail.com>

 media-sound/yewtube/yewtube-2.10.4.ebuild | 3 ++-
 media-sound/yewtube/yewtube-9999.ebuild   | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/media-sound/yewtube/yewtube-2.10.4.ebuild b/media-sound/yewtube/yewtube-2.10.4.ebuild
index e32f91cbd6..90d672ebf4 100644
--- a/media-sound/yewtube/yewtube-2.10.4.ebuild
+++ b/media-sound/yewtube/yewtube-2.10.4.ebuild
@@ -2,6 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
+DISTUTILS_USE_PEP517=setuptools
 PYTHON_COMPAT=( python3_{9..12} )
 inherit distutils-r1
 
@@ -19,7 +20,6 @@ HOMEPAGE="https://github.com/mps-youtube/yewtube https://pypi.org/project/yewtub
 LICENSE="GPL-3"
 SLOT="0"
 
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
 RDEPEND="${DEPEND}
  	media-video/ffmpeg
 	dev-python/requests
@@ -27,6 +27,7 @@ RDEPEND="${DEPEND}
 	=net-misc/yt-dlp-2023.07.06
 	=dev-python/youtube-search-python-1.6.6
 	dev-python/pylast
+	dev-python/pip
 	|| ( media-video/mplayer media-video/mpv )"
 
 src_compile() {

diff --git a/media-sound/yewtube/yewtube-9999.ebuild b/media-sound/yewtube/yewtube-9999.ebuild
index e47d14389d..237498b9ca 100644
--- a/media-sound/yewtube/yewtube-9999.ebuild
+++ b/media-sound/yewtube/yewtube-9999.ebuild
@@ -2,6 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
+DISTUTILS_USE_PEP517=setuptools
 PYTHON_COMPAT=( python3_{9..12} )
 inherit distutils-r1
 
@@ -19,7 +20,6 @@ HOMEPAGE="https://github.com/mps-youtube/yewtube https://pypi.org/project/yewtub
 LICENSE="GPL-3"
 SLOT="0"
 
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
 RDEPEND="${DEPEND}
  	media-video/ffmpeg
 	dev-python/requests
@@ -27,6 +27,7 @@ RDEPEND="${DEPEND}
 	net-misc/yt-dlp
 	dev-python/youtube-search-python
 	dev-python/pylast
+	dev-python/pip
 	|| ( media-video/mplayer media-video/mpv )"
 
 src_compile() {


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/
@ 2023-10-07 10:18 David Roman
  0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2023-10-07 10:18 UTC (permalink / raw
  To: gentoo-commits

commit:     94079365ff9102f239a6aff31ebd6f8499f7509d
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Sat Oct  7 10:13:52 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sat Oct  7 10:13:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=94079365

media-sound/yewtube: add 2.10.5, drop 2.10.4, update 9999

Signed-off-by: David Roman <davidroman96 <AT> gmail.com>

 media-sound/yewtube/Manifest                                      | 2 +-
 .../yewtube/{yewtube-2.10.4.ebuild => yewtube-2.10.5.ebuild}      | 8 ++++----
 media-sound/yewtube/yewtube-9999.ebuild                           | 6 +++---
 3 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/media-sound/yewtube/Manifest b/media-sound/yewtube/Manifest
index f28fea4267..47e3820217 100644
--- a/media-sound/yewtube/Manifest
+++ b/media-sound/yewtube/Manifest
@@ -1 +1 @@
-DIST v2.10.4.tar.gz 120377 BLAKE2B 5689de2d5e386aa13689c68c7be2a86fc61561070e432638e0f5076f31163b5d0ce746489a4d1be3d50c72de370a462e25abb8914b565e5c8d749d817cde4163 SHA512 9d6a40a63c4c4502280544832507d6ca4fd70acd901b6e0b42e619c154f26f6c5aca4279890572fe41a02d5ba7255278ad6574f987f0743412236c4a3ec28b1f
+DIST yewtube-2.10.5.gh.tar.gz 221501 BLAKE2B 7f377a3d8c1927ee56abf61f213895df908f880a2cec79685b21006a39eb2c9d8e0f5d2a4ac826e0a509cbc4abed3a1a1dafa80f89e59d7e6c2036f195255b89 SHA512 8eabb2eb53dc530269a766802ed5df537fea1596f1694f7fb91ccee8ebbcb7c1d3741f80fd8a6de52873132bc61526072bef7c2ecc295d4babcfe564bf7cc05a

diff --git a/media-sound/yewtube/yewtube-2.10.4.ebuild b/media-sound/yewtube/yewtube-2.10.5.ebuild
similarity index 88%
rename from media-sound/yewtube/yewtube-2.10.4.ebuild
rename to media-sound/yewtube/yewtube-2.10.5.ebuild
index 90d672ebf4..4ec3ae5584 100644
--- a/media-sound/yewtube/yewtube-2.10.4.ebuild
+++ b/media-sound/yewtube/yewtube-2.10.5.ebuild
@@ -10,7 +10,7 @@ if [[ ${PV} == "9999" ]] ; then
 	EGIT_REPO_URI="https://github.com/mps-youtube/yewtube.git"
 	inherit git-r3
 else
-	SRC_URI="https://github.com/mps-youtube/${PN}/archive/refs/tags/v${PV}.tar.gz"
+	SRC_URI="https://github.com/mps-youtube/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
 	KEYWORDS="~amd64"
 fi
 
@@ -21,11 +21,11 @@ LICENSE="GPL-3"
 SLOT="0"
 
 RDEPEND="${DEPEND}
- 	media-video/ffmpeg
+	media-video/ffmpeg
 	dev-python/requests
 	dev-python/pyperclip
-	=net-misc/yt-dlp-2023.07.06
-	=dev-python/youtube-search-python-1.6.6
+	net-misc/yt-dlp
+	dev-python/youtube-search-python
 	dev-python/pylast
 	dev-python/pip
 	|| ( media-video/mplayer media-video/mpv )"

diff --git a/media-sound/yewtube/yewtube-9999.ebuild b/media-sound/yewtube/yewtube-9999.ebuild
index 237498b9ca..4ec3ae5584 100644
--- a/media-sound/yewtube/yewtube-9999.ebuild
+++ b/media-sound/yewtube/yewtube-9999.ebuild
@@ -10,7 +10,7 @@ if [[ ${PV} == "9999" ]] ; then
 	EGIT_REPO_URI="https://github.com/mps-youtube/yewtube.git"
 	inherit git-r3
 else
-	SRC_URI="https://github.com/mps-youtube/${PN}/archive/refs/tags/v${PV}.tar.gz"
+	SRC_URI="https://github.com/mps-youtube/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
 	KEYWORDS="~amd64"
 fi
 
@@ -21,7 +21,7 @@ LICENSE="GPL-3"
 SLOT="0"
 
 RDEPEND="${DEPEND}
- 	media-video/ffmpeg
+	media-video/ffmpeg
 	dev-python/requests
 	dev-python/pyperclip
 	net-misc/yt-dlp
@@ -36,4 +36,4 @@ src_compile() {
 
 src_install() {
 	distutils-r1_src_install --build-dir "${WORKDIR}/${P}"
-}
\ No newline at end of file
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/
@ 2023-11-09  3:11 Haelwenn Monnier
  0 siblings, 0 replies; 9+ messages in thread
From: Haelwenn Monnier @ 2023-11-09  3:11 UTC (permalink / raw
  To: gentoo-commits

commit:     0a167c4551f527625f3073370a51cdf3dede5184
Author:     Gonçalo Duarte <gonegrier.duarte <AT> gmail <DOT> com>
AuthorDate: Tue Nov  7 15:04:25 2023 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Tue Nov  7 15:13:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0a167c45

media-sound/yewtube: add dbus-python to test dependencies

Closes: https://bugs.gentoo.org/916984
Signed-off-by: Gonçalo Duarte <gonegrier.duarte <AT> gmail.com>

 media-sound/yewtube/yewtube-2.10.5.ebuild | 20 ++++++++++++++------
 media-sound/yewtube/yewtube-9999.ebuild   | 20 ++++++++++++++------
 2 files changed, 28 insertions(+), 12 deletions(-)

diff --git a/media-sound/yewtube/yewtube-2.10.5.ebuild b/media-sound/yewtube/yewtube-2.10.5.ebuild
index 12dfdd453a..22f0815734 100644
--- a/media-sound/yewtube/yewtube-2.10.5.ebuild
+++ b/media-sound/yewtube/yewtube-2.10.5.ebuild
@@ -14,21 +14,29 @@ else
 	KEYWORDS="~amd64"
 fi
 
+IUSE="test"
+RESTRICT="!test? ( test )"
+
 DESCRIPTION="Terminal-based YouTube player and downloader"
 HOMEPAGE="https://github.com/mps-youtube/yewtube https://pypi.org/project/yewtube/"
 
 LICENSE="GPL-3"
 SLOT="0"
 
-RDEPEND="${DEPEND}
+RDEPEND="
 	media-video/ffmpeg
-	dev-python/requests
-	dev-python/pyperclip
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/pyperclip[${PYTHON_USEDEP}]
 	net-misc/yt-dlp
 	dev-python/youtube-search-python
-	dev-python/pylast
-	dev-python/pip
-	|| ( media-video/mplayer media-video/mpv )"
+	dev-python/pylast[${PYTHON_USEDEP}]
+	dev-python/pip[${PYTHON_USEDEP}]
+	|| ( media-video/mplayer media-video/mpv )
+"
+
+DEPEND="
+	test? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+"
 
 distutils_enable_tests pytest
 

diff --git a/media-sound/yewtube/yewtube-9999.ebuild b/media-sound/yewtube/yewtube-9999.ebuild
index 12dfdd453a..22f0815734 100644
--- a/media-sound/yewtube/yewtube-9999.ebuild
+++ b/media-sound/yewtube/yewtube-9999.ebuild
@@ -14,21 +14,29 @@ else
 	KEYWORDS="~amd64"
 fi
 
+IUSE="test"
+RESTRICT="!test? ( test )"
+
 DESCRIPTION="Terminal-based YouTube player and downloader"
 HOMEPAGE="https://github.com/mps-youtube/yewtube https://pypi.org/project/yewtube/"
 
 LICENSE="GPL-3"
 SLOT="0"
 
-RDEPEND="${DEPEND}
+RDEPEND="
 	media-video/ffmpeg
-	dev-python/requests
-	dev-python/pyperclip
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/pyperclip[${PYTHON_USEDEP}]
 	net-misc/yt-dlp
 	dev-python/youtube-search-python
-	dev-python/pylast
-	dev-python/pip
-	|| ( media-video/mplayer media-video/mpv )"
+	dev-python/pylast[${PYTHON_USEDEP}]
+	dev-python/pip[${PYTHON_USEDEP}]
+	|| ( media-video/mplayer media-video/mpv )
+"
+
+DEPEND="
+	test? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+"
 
 distutils_enable_tests pytest
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/
@ 2023-11-10 20:18 David Roman
  0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2023-11-10 20:18 UTC (permalink / raw
  To: gentoo-commits

commit:     72af1b160c17d59a54cbbec443f28615d3b7dbda
Author:     Gonçalo Duarte <gonegrier.duarte <AT> gmail <DOT> com>
AuthorDate: Thu Nov  9 11:59:23 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Thu Nov  9 12:02:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=72af1b16

media-sound/yewtube: add pygobject as test dependencies

Closes: https://bugs.gentoo.org/917075

Signed-off-by: Gonçalo Duarte <gonegrier.duarte <AT> gmail.com>

 media-sound/yewtube/yewtube-2.10.5.ebuild | 5 ++++-
 media-sound/yewtube/yewtube-9999.ebuild   | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/media-sound/yewtube/yewtube-2.10.5.ebuild b/media-sound/yewtube/yewtube-2.10.5.ebuild
index 22f0815734..bff9510e97 100644
--- a/media-sound/yewtube/yewtube-2.10.5.ebuild
+++ b/media-sound/yewtube/yewtube-2.10.5.ebuild
@@ -35,7 +35,10 @@ RDEPEND="
 "
 
 DEPEND="
-	test? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+	test? (
+		dev-python/dbus-python[${PYTHON_USEDEP}]
+		dev-python/pygobject[${PYTHON_USEDEP}]
+	)
 "
 
 distutils_enable_tests pytest

diff --git a/media-sound/yewtube/yewtube-9999.ebuild b/media-sound/yewtube/yewtube-9999.ebuild
index 22f0815734..bff9510e97 100644
--- a/media-sound/yewtube/yewtube-9999.ebuild
+++ b/media-sound/yewtube/yewtube-9999.ebuild
@@ -35,7 +35,10 @@ RDEPEND="
 "
 
 DEPEND="
-	test? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+	test? (
+		dev-python/dbus-python[${PYTHON_USEDEP}]
+		dev-python/pygobject[${PYTHON_USEDEP}]
+	)
 "
 
 distutils_enable_tests pytest


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/
@ 2024-09-06  8:52 David Roman
  0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2024-09-06  8:52 UTC (permalink / raw
  To: gentoo-commits

commit:     eddb1cc01bf26f5c0b0db6b55462d1d20d9a8d9d
Author:     Gonçalo Negrier Duarte <gonegrier.duarte <AT> gmail <DOT> com>
AuthorDate: Thu Sep  5 18:57:49 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Thu Sep  5 19:20:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=eddb1cc0

media-sound/yewtube: add missing RDEPEND

Closes: https://bugs.gentoo.org/937438
Signed-off-by: Gonçalo Negrier Duarte <gonegrier.duarte <AT> gmail.com>

 media-sound/yewtube/yewtube-2.10.5.ebuild | 1 +
 media-sound/yewtube/yewtube-9999.ebuild   | 1 +
 2 files changed, 2 insertions(+)

diff --git a/media-sound/yewtube/yewtube-2.10.5.ebuild b/media-sound/yewtube/yewtube-2.10.5.ebuild
index 33ccea916..99c3274b9 100644
--- a/media-sound/yewtube/yewtube-2.10.5.ebuild
+++ b/media-sound/yewtube/yewtube-2.10.5.ebuild
@@ -31,6 +31,7 @@ RDEPEND="
 	dev-python/youtube-search-python
 	dev-python/pylast[${PYTHON_USEDEP}]
 	dev-python/pip[${PYTHON_USEDEP}]
+	dev-python/pipenv[${PYTHON_USEDEP}]
 	|| ( media-video/mplayer media-video/mpv )
 "
 

diff --git a/media-sound/yewtube/yewtube-9999.ebuild b/media-sound/yewtube/yewtube-9999.ebuild
index 33ccea916..99c3274b9 100644
--- a/media-sound/yewtube/yewtube-9999.ebuild
+++ b/media-sound/yewtube/yewtube-9999.ebuild
@@ -31,6 +31,7 @@ RDEPEND="
 	dev-python/youtube-search-python
 	dev-python/pylast[${PYTHON_USEDEP}]
 	dev-python/pip[${PYTHON_USEDEP}]
+	dev-python/pipenv[${PYTHON_USEDEP}]
 	|| ( media-video/mplayer media-video/mpv )
 "
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/
@ 2024-09-15  8:04 Haelwenn Monnier
  0 siblings, 0 replies; 9+ messages in thread
From: Haelwenn Monnier @ 2024-09-15  8:04 UTC (permalink / raw
  To: gentoo-commits

commit:     81b81df724f078e0a2190d0678ba5ef273e7ba15
Author:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Sat Sep 14 14:42:09 2024 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Sat Sep 14 14:42:09 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=81b81df7

media-sound/yewtube: fix import from pip._vendor

Closes: https://bugs.gentoo.org/939186
Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>

 media-sound/yewtube/metadata.xml                         |  4 ++--
 .../{yewtube-2.10.5.ebuild => yewtube-2.10.5-r1.ebuild}  | 16 ++++++++++++----
 media-sound/yewtube/yewtube-9999.ebuild                  | 16 ++++++++++++----
 3 files changed, 26 insertions(+), 10 deletions(-)

diff --git a/media-sound/yewtube/metadata.xml b/media-sound/yewtube/metadata.xml
index f9daec08b..547464678 100644
--- a/media-sound/yewtube/metadata.xml
+++ b/media-sound/yewtube/metadata.xml
@@ -6,7 +6,7 @@
 		<name>Gonçalo Negrier Duarte</name>
 	</maintainer>
 	<upstream>
-		<remote-id type="pypi">mps-youtube</remote-id>
-		<remote-id type="github">mps-youtube/mps-youtube</remote-id>
+		<remote-id type="pypi">yewtube</remote-id>
+		<remote-id type="github">mps-youtube/yewtube</remote-id>
 	</upstream>
 </pkgmetadata>

diff --git a/media-sound/yewtube/yewtube-2.10.5.ebuild b/media-sound/yewtube/yewtube-2.10.5-r1.ebuild
similarity index 78%
rename from media-sound/yewtube/yewtube-2.10.5.ebuild
rename to media-sound/yewtube/yewtube-2.10.5-r1.ebuild
index 99c3274b9..c67b7f1cd 100644
--- a/media-sound/yewtube/yewtube-2.10.5.ebuild
+++ b/media-sound/yewtube/yewtube-2.10.5-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -17,7 +17,7 @@ else
 	KEYWORDS="~amd64"
 fi
 
-LICENSE="GPL-3"
+LICENSE="GPL-3+"
 SLOT="0"
 
 IUSE="test"
@@ -27,11 +27,12 @@ RDEPEND="
 	media-video/ffmpeg
 	dev-python/requests[${PYTHON_USEDEP}]
 	dev-python/pyperclip[${PYTHON_USEDEP}]
-	net-misc/yt-dlp
-	dev-python/youtube-search-python
+	net-misc/yt-dlp[${PYTHON_USEDEP}]
+	dev-python/youtube-search-python[${PYTHON_USEDEP}]
 	dev-python/pylast[${PYTHON_USEDEP}]
 	dev-python/pip[${PYTHON_USEDEP}]
 	dev-python/pipenv[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
 	|| ( media-video/mplayer media-video/mpv )
 "
 
@@ -44,6 +45,13 @@ DEPEND="
 
 distutils_enable_tests pytest
 
+src_prepare() {
+	# bug #939186
+	sed -i 's/from pip\._vendor //' mps_youtube/__init__.py || die
+
+	distutils-r1_src_prepare
+}
+
 src_compile() {
 	distutils-r1_src_compile --build-dir "${WORKDIR}/${P}"
 }

diff --git a/media-sound/yewtube/yewtube-9999.ebuild b/media-sound/yewtube/yewtube-9999.ebuild
index 99c3274b9..c67b7f1cd 100644
--- a/media-sound/yewtube/yewtube-9999.ebuild
+++ b/media-sound/yewtube/yewtube-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -17,7 +17,7 @@ else
 	KEYWORDS="~amd64"
 fi
 
-LICENSE="GPL-3"
+LICENSE="GPL-3+"
 SLOT="0"
 
 IUSE="test"
@@ -27,11 +27,12 @@ RDEPEND="
 	media-video/ffmpeg
 	dev-python/requests[${PYTHON_USEDEP}]
 	dev-python/pyperclip[${PYTHON_USEDEP}]
-	net-misc/yt-dlp
-	dev-python/youtube-search-python
+	net-misc/yt-dlp[${PYTHON_USEDEP}]
+	dev-python/youtube-search-python[${PYTHON_USEDEP}]
 	dev-python/pylast[${PYTHON_USEDEP}]
 	dev-python/pip[${PYTHON_USEDEP}]
 	dev-python/pipenv[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
 	|| ( media-video/mplayer media-video/mpv )
 "
 
@@ -44,6 +45,13 @@ DEPEND="
 
 distutils_enable_tests pytest
 
+src_prepare() {
+	# bug #939186
+	sed -i 's/from pip\._vendor //' mps_youtube/__init__.py || die
+
+	distutils-r1_src_prepare
+}
+
 src_compile() {
 	distutils-r1_src_compile --build-dir "${WORKDIR}/${P}"
 }


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/
@ 2024-09-18 23:46 Haelwenn Monnier
  0 siblings, 0 replies; 9+ messages in thread
From: Haelwenn Monnier @ 2024-09-18 23:46 UTC (permalink / raw
  To: gentoo-commits

commit:     94c4b2768504b7f4fe785e52f50c3f6e6a6bedf0
Author:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Tue Sep 17 14:43:19 2024 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Tue Sep 17 14:43:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=94c4b276

media-sound/yewtube: drop 2.10.5-r1

Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>

 media-sound/yewtube/Manifest                 |  1 -
 media-sound/yewtube/yewtube-2.10.5-r1.ebuild | 61 ----------------------------
 2 files changed, 62 deletions(-)

diff --git a/media-sound/yewtube/Manifest b/media-sound/yewtube/Manifest
index f36b5579a..f616410bb 100644
--- a/media-sound/yewtube/Manifest
+++ b/media-sound/yewtube/Manifest
@@ -1,2 +1 @@
-DIST yewtube-2.10.5.gh.tar.gz 221501 BLAKE2B 7f377a3d8c1927ee56abf61f213895df908f880a2cec79685b21006a39eb2c9d8e0f5d2a4ac826e0a509cbc4abed3a1a1dafa80f89e59d7e6c2036f195255b89 SHA512 8eabb2eb53dc530269a766802ed5df537fea1596f1694f7fb91ccee8ebbcb7c1d3741f80fd8a6de52873132bc61526072bef7c2ecc295d4babcfe564bf7cc05a
 DIST yewtube-2.12.0.gh.tar.gz 222486 BLAKE2B f26ee60ba7efbc54c1a92c844e9b3b850f4e34b7e8ba1dae85b7b0c342e5e9c098d6da5df48193d9e57b0258f4a5f2512cc2011d9abebe425c482bacdbd0907d SHA512 30d7590fc9d085f26d632ab6728e0de521a38e73c3b8064041a9398cf2593e80a30dfefa1e9c203bf76326ceff19adb953ad5f68b46d2a5fae94d64617e57b46

diff --git a/media-sound/yewtube/yewtube-2.10.5-r1.ebuild b/media-sound/yewtube/yewtube-2.10.5-r1.ebuild
deleted file mode 100644
index c67b7f1cd..000000000
--- a/media-sound/yewtube/yewtube-2.10.5-r1.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=(python3_{9..12})
-inherit distutils-r1
-
-DESCRIPTION="Terminal-based YouTube player and downloader"
-HOMEPAGE="https://github.com/mps-youtube/yewtube https://pypi.org/project/yewtube/"
-
-if [[ ${PV} == "9999" ]]; then
-	EGIT_REPO_URI="https://github.com/mps-youtube/yewtube.git"
-	inherit git-r3
-else
-	SRC_URI="https://github.com/mps-youtube/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
-	KEYWORDS="~amd64"
-fi
-
-LICENSE="GPL-3+"
-SLOT="0"
-
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	media-video/ffmpeg
-	dev-python/requests[${PYTHON_USEDEP}]
-	dev-python/pyperclip[${PYTHON_USEDEP}]
-	net-misc/yt-dlp[${PYTHON_USEDEP}]
-	dev-python/youtube-search-python[${PYTHON_USEDEP}]
-	dev-python/pylast[${PYTHON_USEDEP}]
-	dev-python/pip[${PYTHON_USEDEP}]
-	dev-python/pipenv[${PYTHON_USEDEP}]
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	|| ( media-video/mplayer media-video/mpv )
-"
-
-DEPEND="
-	test? (
-		dev-python/dbus-python[${PYTHON_USEDEP}]
-		dev-python/pygobject[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	# bug #939186
-	sed -i 's/from pip\._vendor //' mps_youtube/__init__.py || die
-
-	distutils-r1_src_prepare
-}
-
-src_compile() {
-	distutils-r1_src_compile --build-dir "${WORKDIR}/${P}"
-}
-
-src_install() {
-	distutils-r1_src_install --build-dir "${WORKDIR}/${P}"
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/
@ 2024-09-18 23:46 Haelwenn Monnier
  0 siblings, 0 replies; 9+ messages in thread
From: Haelwenn Monnier @ 2024-09-18 23:46 UTC (permalink / raw
  To: gentoo-commits

commit:     e120bae6233d347fbb6c132ba094d3b21835cb08
Author:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Tue Sep 17 14:43:19 2024 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Tue Sep 17 14:43:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e120bae6

media-sound/yewtube: add 2.12.0

Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>

 media-sound/yewtube/Manifest                                      | 1 +
 .../yewtube/{yewtube-9999.ebuild => yewtube-2.12.0.ebuild}        | 8 --------
 media-sound/yewtube/yewtube-9999.ebuild                           | 8 --------
 3 files changed, 1 insertion(+), 16 deletions(-)

diff --git a/media-sound/yewtube/Manifest b/media-sound/yewtube/Manifest
index 47e382021..f36b5579a 100644
--- a/media-sound/yewtube/Manifest
+++ b/media-sound/yewtube/Manifest
@@ -1 +1,2 @@
 DIST yewtube-2.10.5.gh.tar.gz 221501 BLAKE2B 7f377a3d8c1927ee56abf61f213895df908f880a2cec79685b21006a39eb2c9d8e0f5d2a4ac826e0a509cbc4abed3a1a1dafa80f89e59d7e6c2036f195255b89 SHA512 8eabb2eb53dc530269a766802ed5df537fea1596f1694f7fb91ccee8ebbcb7c1d3741f80fd8a6de52873132bc61526072bef7c2ecc295d4babcfe564bf7cc05a
+DIST yewtube-2.12.0.gh.tar.gz 222486 BLAKE2B f26ee60ba7efbc54c1a92c844e9b3b850f4e34b7e8ba1dae85b7b0c342e5e9c098d6da5df48193d9e57b0258f4a5f2512cc2011d9abebe425c482bacdbd0907d SHA512 30d7590fc9d085f26d632ab6728e0de521a38e73c3b8064041a9398cf2593e80a30dfefa1e9c203bf76326ceff19adb953ad5f68b46d2a5fae94d64617e57b46

diff --git a/media-sound/yewtube/yewtube-9999.ebuild b/media-sound/yewtube/yewtube-2.12.0.ebuild
similarity index 89%
copy from media-sound/yewtube/yewtube-9999.ebuild
copy to media-sound/yewtube/yewtube-2.12.0.ebuild
index c67b7f1cd..dce748be2 100644
--- a/media-sound/yewtube/yewtube-9999.ebuild
+++ b/media-sound/yewtube/yewtube-2.12.0.ebuild
@@ -51,11 +51,3 @@ src_prepare() {
 
 	distutils-r1_src_prepare
 }
-
-src_compile() {
-	distutils-r1_src_compile --build-dir "${WORKDIR}/${P}"
-}
-
-src_install() {
-	distutils-r1_src_install --build-dir "${WORKDIR}/${P}"
-}

diff --git a/media-sound/yewtube/yewtube-9999.ebuild b/media-sound/yewtube/yewtube-9999.ebuild
index c67b7f1cd..dce748be2 100644
--- a/media-sound/yewtube/yewtube-9999.ebuild
+++ b/media-sound/yewtube/yewtube-9999.ebuild
@@ -51,11 +51,3 @@ src_prepare() {
 
 	distutils-r1_src_prepare
 }
-
-src_compile() {
-	distutils-r1_src_compile --build-dir "${WORKDIR}/${P}"
-}
-
-src_install() {
-	distutils-r1_src_install --build-dir "${WORKDIR}/${P}"
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2024-09-18 23:46 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-09-06  8:52 [gentoo-commits] repo/proj/guru:master commit in: media-sound/yewtube/ David Roman
  -- strict thread matches above, loose matches on Subject: below --
2024-09-18 23:46 Haelwenn Monnier
2024-09-18 23:46 Haelwenn Monnier
2024-09-15  8:04 Haelwenn Monnier
2023-11-10 20:18 David Roman
2023-11-09  3:11 Haelwenn Monnier
2023-10-07 10:18 David Roman
2023-08-30  5:36 Viorel Munteanu
2023-08-30  5:36 Viorel Munteanu

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox